altcom_ajax_toggle:
  label: Altcom ajax (toggler)
  namespace: Templates/TM - Utilities/Altcom Ajax
  use: '@templates/utilities/altcom-ajax/aa-toggle.html.twig'
  description: Ajax Toggle
  fields:
    target:
      type: text
      label: Target selector ID
      preview: my-target
    'true':
      type: text
      label: On text
      preview: On
    'false':
      type: text
      label: Off text
      preview: Off
  settings:
    type:
      type: select
      label: Type of button, dbl or sgl.
      preview: dbl
      default_value: dbl
      options:
        sgl: Single
        dbl: Double
    initial_state:
      type: select
      label: Initial state
      preview: true
      default_value: true
      options:
        'true': true
        'false': false
    status:
      label: Status
      description: Bootstrap status
      type: select
      options:
        primary: Primary
        secondary: Secondary
        success: Success
        danger: Danger
        warning: Warning
        info: Info
        light: Light
        dark: Dark
      default_value: secondary
      preview: secondary
